summarylogtreecommitdiffstats
path: root/copier.sh
diff options
context:
space:
mode:
authorWorMzy Tykashi2015-09-14 21:03:53 +0100
committerWorMzy Tykashi2015-09-14 21:05:23 +0100
commit5eff6784ce54f13c18d9f41199592cc99b04d2b1 (patch)
treeb571fa3af44afec5cf76872fe10c2cff7221ea97 /copier.sh
parentbd51dc992817ce2aecf0718e74ee9354d99b6384 (diff)
downloadaur-5eff6784ce54f13c18d9f41199592cc99b04d2b1.tar.gz
Updated for SOUND.CFG and GEODATA.DAT dupes
Diffstat (limited to 'copier.sh')
-rwxr-xr-xcopier.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/copier.sh b/copier.sh
index 4053c9327f9c..8a9315714fdb 100755
--- a/copier.sh
+++ b/copier.sh
@@ -29,6 +29,22 @@ for file in $(cat filelist); do
_fail $file
fi
;;
+ GEODATA.DAT)
+ if ! find $_xcompath -path "*MISSDAT/$file" -exec cp "{}" ./"missdat-$file" \; &>/dev/null; then
+ _fail $file
+ fi
+ if ! find $_xcompath -path "*MAPS/$file" -exec cp "{}" ./"maps-$file" \; &>/dev/null; then
+ _fail $file
+ fi
+ ;;
+ SOUND.CFG)
+ if ! find $_xcompath -path "*XCOM/$file" -exec cp "{}" ./"xcom-$file" \; &>/dev/null; then
+ _fail $file
+ fi
+ if ! find $_xcompath -path "*SOUND/$file" -exec cp "{}" ./"sound-$file" \; &>/dev/null; then
+ _fail $file
+ fi
+ ;;
*)
if ! find $_xcompath -name "$file" -exec cp "{}" . \; &>/dev/null; then
_fail $file